Name:           tslib
Version:        1.16
Release:        3
Summary:        C library for filtering touchscreen events
License:        LGPLv2
URL:            https://github.com/kergoth/tslib
Source0:        https://github.com/kergoth/tslib/releases/download/%{version}/tslib-%{version}.tar.bz2
BuildRequires:  libtool autoconf automake SDL2-devel

%description
tslib consists of the library libts and tools that help you
calibrate and use it in your environment.

%package        devel
Summary:        Development files for tslib
Requires:       tslib = %{version}-%{release} pkgconfig

%description    devel
The package contains libraries and header files for developing
applications that use tslib.

%package        help
Summary:        Help document for the tslib package
Buildarch:      noarch

%description    help
Help document for the tslib package.

%prep
%autosetup -n tslib-%{version}
./autogen.sh
%build
%configure --with-sdl2
%make_build
%install
%make_install
%delete_la
%post
/sbin/ldconfig
%postun
/sbin/ldconfig

%files
%doc AUTHORS ChangeLog README COPYING
%config(noreplace) %{_sysconfdir}/ts.conf
%{_bindir}/ts*
%{_libdir}/*.so.*
%dir %{_libdir}/ts
%{_libdir}/ts/*.so

%files devel
%{_includedir}/tslib.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/tslib.pc

%files help
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_mandir}/man5/*

%changelog
* Sat Nov 30 2019 Ling Yang <lingyang2@huawei.com> - 1.16-3
- Package init
